Skip to content

List users

GET
/admin/users

Список пользователей с поиском и фильтрацией

Authorizations

sessionCookie

PHP session cookie (HTTP-only, Secure, SameSite=Lax)

Type
API Key (cookie: PARTIZAP_SESSION)

Parameters

Query Parameters

search

Search by name or email

Type
string
is_active

Filter by active status

Type
boolean
account_type

Filter by account type

Type
string
Valid values
"personal""business"
cursor

Opaque cursor for pagination

Type
string
limit

Number of items per page

Type
integer
Minimum
1
Maximum
100
Default
20

Responses

List of users

application/json
JSON
{
  
"data": [
  
  
{
  
  
  
"id": 5,
  
  
  
"display_name": "BMW Parts Store",
  
  
  
"avatar_url": "https://s3.partizap.ru/avatars/5.webp",
  
  
  
"city_id": 0,
  
  
  
"rating": "4.85",
  
  
  
"reviews_count": 127,
  
  
  
"products_count": 342,
  
  
  
"created_at": "string",
  
  
  
"email": "string",
  
  
  
"phone": "+79991234567",
  
  
  
"account_type": "string",
  
  
  
"email_verified": true,
  
  
  
"district_id": 0,
  
  
  
"metro_station_id": 0,
  
  
  
"is_active": true,
  
  
  
"is_admin": true
  
  
}
  
],
  
"meta": {
  
  
"has_more": true,
  
  
"next_cursor": "abc123xyz"
  
}
}

Playground

Server
Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI